﻿@*@model List<ItemMasterView>*@
@model List<PurchaseOrderLineView>

@{
    string test = "";
}
<div id="TableItemsForm">
    <table class="table table-striped">
        <thead>
            <tr>
                @*<th>&nbsp;</th>*@
                <th>&nbsp;</th>
                <th><strong>Item</strong></th>
                <th><strong>Qty</strong></th>
                <th><strong>Currency</strong></th>
                <th><strong>Price</strong></th>
                <th><strong>Total (LC)</strong></th>
            </tr>
        </thead>
        <tbody>
            @if (Model != null)
            {
                foreach (PurchaseOrderLineView item in Model)
                {
                    string mTxtId = "txt" + item.LineNum;
                    string mTdId = "td" + item.LineNum;
                    string mDpId = "dp" + item.LineNum;
                    string mTxtCountId = "txtcount" + item.LineNum;
                    string mTrId = "tr" + item.LineNum;


                    double mTotal = (((double)item.Price) / item.RateGl) * item.RateLine;

                    <tr id='@mTrId'>
                        <td>
                            <button onclick="DeleteRow('@item.LineNum')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span> Delete</button>
                            <input type="hidden" id="@item.LineNum" value="@item.Dscription" />
                        </td>
                        <td>@item.ItemCode - - @item.Dscription</td>
                        <td><input type="number" id='@mTxtCountId' class="form-control" value='@Convert.ToInt32(item.Quantity)' onchange="ChangeValue('@item.LineNum');" style="width:35px;" /></td>
                        <td>
                            @Html.DropDownListFor(c => test, new SelectList(item.ListCurrency, "CurrCode", "CurrName", item.Currency), new { @Id = mDpId, @class = "form-control", @onchange = "ChangeValue('" + @item.LineNum + "')" })
                        </td>
                        <td><input onchange="ChangeValue('@item.LineNum');" type="number" class="form-control" id='@mTxtId' value='@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.Price)' style="width:75px;" /> @item.Currency</td>
                        <td id='@mTdId'>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", mTotal)</td>
                    </tr>
                }
            }
        </tbody>
    </table>
</div>